<?php

/*
 * Following code will list all the products
 */
 require_once __DIR__ . '/../db_connect.php';
 
$inputresult = file_get_contents('php://input');

$object = json_decode($inputresult);

$executesql = base64_decode($object->{'executesql'});
//$executesql = $object->{'executesql'};
$retfieldnames = $object->{'retfieldnames'};
$companyalias = $object->{'companyalias'};
// array for JSON response
$response = array();

// include db connect class

$tmpb = isset($executesql) && isset($retfieldnames) && isset($companyalias);
$tmpb = $tmpb && (strstr($executesql,'delete ') === false) && (strstr($executesql,'insert ') === false) && (strstr($executesql,'truncate ') === false);
if ($tmpb && (strstr($executesql,'drop ') === false)  && (strstr($executesql,'update ') === false) &&  (stripos($executesql,'select') == 0))  //(strstr($executesql,'chargeuser') !== false)
{	
	session_start();
	if (isset($_COOKIE["PHPSESSID"]) && ($_COOKIE["PHPSESSID"] === session_id()))
	{
		if (isset($retfieldnames) && isset($companyalias))
		{
			// connecting to db
			connectDB("emac_".$companyalias);
			$resultbool = true;
			$message = "no data";
			// get all products from products table
			$result = null;
			try
			{
				$result = mysqli_query($con,$executesql);
			}
			catch(mysqli_sql_exception $err) {
				$resultbool = false;
				$message = $err->getMessage();
			}
			if (!$resultbool)
			{
				$response["success"] = -2;   
				$response["message"] = $message;
			}
			else if ($result && (mysqli_num_rows($result) > 0)) {			// check for empty result
				// looping through all results
				// products node
				// success
				$response["success"] = 1;
				$response["message"] = array();
				$fieldnameary = explode(",",$retfieldnames);
				while ($row = mysqli_fetch_array($result)) {
					$info = array();
					foreach($fieldnameary as $a)
					{
						if ($row[$a])
							$info[$a] = $row[$a];
						else
							$info[$a] = "";						
					}
					array_push($response["message"], $info);	
				}
			} else {
				// no products found
				$response["success"] = 0;
				$response["message"] = "NO DATA";//$executesql; //
			}
			close();
		}
		else
		{
			$response["success"] = -1;   
			$response["message"] = "please first login";//$executesql.session_id();   
		}
	}
	else
	{
		$response["success"] = -1;   
		$response["message"] = "session error";
	}
}
else
{
	$response["success"] = -1;   
	$response["message"] = "error sql";//$executesql.session_id();   $executesql; //
}
// echoing JSON response
echo json_encode($response);
?>