<?php

/*
 * Following code will list all the products
 */
$inputresult = file_get_contents('php://input');

$object = json_decode($inputresult);
	
$companyalias = $object->{'companyalias'};

// array for JSON response
$response = array();

// include db connect class
require_once __DIR__ . '/db_connect.php';

session_start();

if (isset($_COOKIE["PHPSESSID"]) && ($_COOKIE["PHPSESSID"] === session_id()) && isset($companyalias))
{
	// connecting to db
	connectDB("emac_".$companyalias);

	// get all products from products table
	$execsql = "select *,counts from jizhongqi_view left join jizhongqi_count on ".
		" jizhongqi_count.jizhongqi_id = jizhongqi_view.jizhongqi_id order by alias, mac_addr;";
	$result = mysqli_query($con,$execsql) or die(mysqli_error());

	// check for empty result
	if (mysqli_num_rows($result) > 0) 
	{
		// looping through all results
		// products node
		// success
		$response["success"] = 1;
		$response["message"] = array();

		while ($row = mysqli_fetch_array($result)) {
			// temp user array
			$info = array();
			/*$info["id"] = $row["id"];
			$info["alias"] = ifnullselfstring($row["alias"]);
			$info["mac_addr"] = ifnullselfstring($row["mac_addr"]);
			$info["counts"] = ifnullselfint($row["counts"]);
			$info["is_online"] = ifnullselfint($row["is_online"]);
			$info["is_check"] = ifnullselfint($row["is_check"]);*/
			$info["id"] = $row["id"];
			$info["alias"] = $row["alias"];
			$info["mac_addr"] = $row["mac_addr"];
			$info["counts"] = $row["counts"];
			$info["is_online"] = $row["is_online"];
			$info["is_check"] = $row["is_check"];
			// push single product into final response array
			array_push($response["message"], $info);
		}
		
	} else {
			// no products found
			$response["success"] = 0;
			$response["message"] = "No products found";//.$execsql;			
	}
	close();
}
else
{
	$response["success"] = -1;   
	$response["message"] = "please first login";//$companyalias.session_id();   
}
// echoing JSON response
echo json_encode($response);
?>