<?php

/*
 * Following code will list all the products
 */
$inputresult = file_get_contents('php://input');

$object = json_decode($inputresult);
if (isset($object))
{
	$companyalias = $object->{'companyalias'};
}
//$companyalias = "wqhl";
// array for JSON response
$response = array();

// include db connect class
require_once __DIR__ . '/db_connect.php';

if (isset($companyalias) && ($companyalias == "wqhl"))
{
	// connecting to db
	$retfieldnames = "watermeter_logic,ton,node_updatetime,switch_status";
	$executesql = 'select * from emac_wqhl.customer_info';
	connectDB("emac_".$companyalias);
	// get all products from products table
	$result = mysqli_query($con,$executesql) or die(mysqli_error());
	
	// check for empty result
	if (mysqli_num_rows($result) > 0) {
		// looping through all results
		// products node
		// success
		$response["success"] = 1;
		$response["message"] = array();
		$fieldnameary = explode(",",$retfieldnames);
		while ($row = mysqli_fetch_array($result)) {
			$info = array();
			foreach($fieldnameary as $a)
			{
				if ($row[$a] === NULL)
					$info[$a] = "";
				else
					$info[$a] = $row[$a];
			}
			array_push($response["message"], $info);
		}
	} else {
		// no products found
		$response["success"] = 0;
		$response["message"] = "No data!";
	}
	close();
}
else
{
	$response["success"] = -1;   
	$response["message"] = "paramter error!";//$executesql.session_id();   
}
// echoing JSON response
echo json_encode($response);
?>