<?php

/*
 * Following code will list all the products
 */
 require_once __DIR__ . '/../db_connect.php';
 
$inputresult = file_get_contents('php://input');

$object = json_decode($inputresult);

//$executesql = base64_decode($object->{'executesql'});
$executesql = $object->{'executesql'};
$retfieldnames = $object->{'retfieldnames'};
$companyalias = $object->{'companyalias'};
// array for JSON response
$response = array();

// include db connect class

$tmpb = isset($executesql);
$tmpb = $tmpb && (strstr($executesql,'delete ') === false) && (strstr($executesql,'insert ') === false) && (strstr($executesql,'truncate ') === false);
if ($tmpb && (strstr($executesql,'drop ') === false)  && (strstr($executesql,'update ') === false) && (strstr($executesql,'chargeuser') !== false))
{	
	session_start();
	//if (isset($_COOKIE["PHPSESSID"]) && ($_COOKIE["PHPSESSID"] === session_id()) && isset($retfieldnames) && isset($companyalias))
	if (isset($retfieldnames) && isset($companyalias))
	{
		// connecting to db
		connectDB("emac_".$companyalias);
		
		// get all products from products table
		$result = mysqli_query($con,$executesql) or die(mysqli_error());
		
		// check for empty result
		
		if (mysqli_num_rows($result) > 0) {
			// looping through all results
			// products node
			// success
			$response["success"] = 1;
			$response["message"] = array();
			$fieldnameary = explode(",",$retfieldnames);
			while ($row = mysqli_fetch_array($result)) {
				$info = array();
				foreach($fieldnameary as $a)
				{
					if ($row[$a] === NULL)
						$info[$a] = "";
					else
						$info[$a] = $row[$a];
				}
				array_push($response["message"], $info);
			}
		} else {
			// no products found
			$response["success"] = 0;
			$response["message"] = $object;
		}
		close();
	}
	else
	{
		$response["success"] = -1;   
		$response["message"] = "please first login";//$executesql.session_id();   
	}
}
else
{
	$response["success"] = -1;   
	$response["message"] = $executesql; //"error sql";//$executesql.session_id();   
}
// echoing JSON response
echo json_encode($response);
?>