<?php

require_once __DIR__ . '/../db_connect.php';
	
$inputresult = file_get_contents('php://input');

$object = json_decode($inputresult);
$executesql = 	$object->{'executesql'};
$executesql = base64_decode($executesql);
$companyalias = $object->{'companyalias'};
/* 
 * Following code will create a new person row
 * All person details are read from HTTP Post Request
 */

// array for JSON response
 $response = array();
  
if ((isset($executesql)  &&  strstr($executesql,'chargeuser') !== false))
{  
	// check for required fields
	if (isset($companyalias))  {
		// include db connect class
		// connecting to db
		connectDB("emac_".$companyalias);
		$retmsg = "commit data failure!";
		try
		{
			$result = mysqli_query($con,$executesql);
			$retmsg = "commit success!";
		}
		// 捕获异常
		catch(Exception $e)
		{
			$retmsg = $e->getMessage();
		}
		
		// check if row inserted or not
		if ($result) {
			// successfully inserted into database
			$response["success"] = 1;
			$response["message"] = $retmsg;
		} else {
			// failed to insert row
			$response["success"] = 0;
			$response["message"] = $companyalias + $executesql; //.$executesql
		}
		close();
	} else {
		// required field is missing
		$response["success"] = -1;
		$response["message"] = "please first login";//.$executesql
	}
}
else {
    // required field is missing
    $response["success"] = -1;
    $response["message"] = "error sql";//.$executesql
}
// echoing JSON response
    echo json_encode($response);
?>