<?php
/*
 * Following code will list all the products
 */
$result = file_get_contents('php://input');

$object=json_decode($result);
	
$companyalias = $object->{'companyalias'};//$_POST['companyalias'];

$response = array();

// include db connect class
require_once __DIR__ . '/db_connect.php';

// array for JSON response
session_start();

//if (!empty($_SESSION["xm1"] && ($_SESSION["xm1"] === true) && isset($companyalias))
if (isset($_COOKIE["PHPSESSID"]) && ($_COOKIE["PHPSESSID"] === session_id()) && isset($companyalias))
{
	// connecting to db
	connectDB("emac_".$companyalias);

	// get all products from products table
	$execsql = "select building_id,ifnull(house_id,0) as house_id,building_name,house_name,read_freq,ifnull(building_ischeck,0) as building_ischeck,ifnull(house_ischeck,0) as house_ischeck,".
		"region,ifnull(counts,0) as counts from building_tree order by building_id,house_id;";
	$result = mysqli_query($con,$execsql) or die(mysqli_error());

	// check for empty result
	if (mysqli_num_rows($result) > 0) {
		// looping through all results
		// products node
		// success
		$response["success"] = 1;
		$response["message"] = array();

		while ($row = mysqli_fetch_array($result)) {
			// temp user array
			$info = array();
			$info["building_id"] = $row["building_id"];
			$info["house_id"] = $row["house_id"];
			$info["building_name"] = $row["building_name"];
			$info["house_name"] = $row["house_name"];
			$info["read_freq"] = $row["read_freq"];
			$info["building_ischeck"] = $row["building_ischeck"];
			$info["house_ischeck"] = $row["house_ischeck"];
			$info["region"] = $row["region"];
			$info["counts"] = $row["counts"];
			// push single product into final response array
			array_push($response["message"], $info);
		}
		

		// echoing JSON response
		echo json_encode($response);
	} else {
		// no products found
		$response["success"] = 0;
		$response["message"] = "No products found".$execsql;

		// echo no users JSON
		echo json_encode($response);
	}
	close();
}
else
{
	$response["success"] = -1;   
	$response["message"] = $companyalias.session_id();   
	// echoing JSON response   
	echo json_encode($response); 
} 
?>