<?php

/*
 * Following code will list all the products
 */

// array for JSON response
$response = array();

// include db connect class
require_once __DIR__ . '/db_connect.php';

// connecting to db
connect();

// get all products from products table
$result = mysqli_query($con,"SELECT *FROM company limit 5") or die(mysqli_error());

// check for empty result
if (mysqli_num_rows($result) > 0) {
    // looping through all results
    // products node
    $response["company"] = array();

    while ($row = mysqli_fetch_array($result)) {
        // temp user array
        $info = array();
        $info["name"] = $row["name"];
        $info["addtime"] = $row["addtime"];
        $info["dbname"] = $row["dbname"];
        $info["alias"] = $row["alias"];
        $info["isprepayment"] = $row["isprepayment"];

        // push single product into final response array
        array_push($response["company"], $info);
    }
    // success
    $response["success"] = 1;

    // echoing JSON response
    echo json_encode($response);
} else {
    // no products found
    $response["success"] = 0;
    $response["message"] = "No products found";

    // echo no users JSON
    echo json_encode($response);
}
  close();
?>