<?php
// include db connect class
require_once __DIR__ . '/db_connect.php';
/*
 * Following code will list all the products
 */

$isValid = false;
$paramters = $_SERVER['QUERY_STRING'];
if (isset($paramters) && ($paramters != ""))
{
	$object = convertUrlQuery($paramters);
	//$checkkey = $object['checkkey'];
	$companyalias = $object['companyalias'];
	if (isset($object['operatecmd']))
		$operatecmd = $object['operatecmd'];
	else
		$operatecmd = 'getdata';//'getdata'; //'getdatabyaddr' getdatabytime
	if (isset($object['loginname']))
		$loginname = base64_decode($object['loginname']);
	else
		$loginname = '';
	if (isset($object['password']))
		$password = base64_decode($object['password']);
	else
		$password = '';
	if (isset($object['position']))
		$position = $object['position'];
	else
		$position = '0';
	if (isset($object['counts']))
		$counts = $object['counts'];
	else
		$counts = '50';
	if (isset($object['mac_addr']))
		$mac_addr = $object['mac_addr'];
	else
		$mac_addr = '';
	if (isset($object['startdatetime']))
		$startdatetime = $object['startdatetime'];
	else
	{
		$d = strtotime("-1 Days");
		$startdatetime = date('Y-m-d',$d);
	}
	if (isset($companyalias) && isset($loginname) && isset($password) )//&& isset($checkkey)
		$isValid = true;//(md5($companyalias.$loginname.$password.'XM') === $checkkey);
}
else
{
	$inputresult = file_get_contents('php://input');
	$object = json_decode($inputresult);
	if (isset($object))
	{
		$companyalias = $object->{'companyalias'};
		//$checkkey = $object->{'checkkey'};
		if (isset($object->{'operatecmd'}))
			$operatecmd = $object->{'operatecmd'};//'getdata'; //'getdatabyaddr' getdatabytime
		else
			$operatecmd = 'getdata';
		if (isset($object->{'loginname'}))
			$loginname = base64_decode($object->{'loginname'});
		else
			$loginname = '';	
		if (isset($object->{'password'}))
			$password = base64_decode($object->{'password'});
		else
			$password = '';
		if (isset($object->{'position'}))
		{
			$position = $object->{'position'};
			if ($position < 0)
				$position = 0;
		}
		else
			$position = 0;
		if (isset($object->{'counts'}))
		{
			$counts = $object->{'counts'};
			if ($counts <= 0)
				$counts = 50;
			else if ($counts > 500)
				$counts = 500;
		}
		else
			$counts = 50;
		
		if ($operatecmd === "getdatabyaddr")
			$mac_addr = $object->{'mac_addr'};
		else if ($operatecmd === "getdatabytime")
		{
			if (isset($object->{'startdatetime'}))
			{
				$startdatetime = $object->{'startdatetime'};
			}
			else
			{
				$d = strtotime("-1 Days");
				$startdatetime = date('Y-m-d',$d);
			}
		}
		if (isset($companyalias) && isset($loginname) && isset($password) )//&& isset($checkkey)
			$isValid = true;//(md5($companyalias.$loginname.$password.'XM') === $checkkey);
	}
}

$response = array();
if ($isValid)
{
/*$companyalias = 'hbhxzn02';
$position = 0; 
$counts = 50; 
$mac_addr = "";
$startdatetime = "";*/
//$companyalias = "wqhl";
// array for JSON response
if ($companyalias !== "")
{
	// connecting to db
	if (logincheck($companyalias,$loginname,$password))
	{
		$retfieldnames = "imei,mac_addr,ton,rssi,node_updatetime,batteryval,switch_status,pin_status,devicetype";
		if ($companyalias === "gf03")
		{
			$executesql = "select conv(mac_addr,10,16) as imei,if(ifnull(serialno,'') = '',conv(mac_addr,10,16),serialno) as mac_addr,ton,rssi,node_updatetime,if(battery > 10,battery,freq_tx) as batteryval,switch_status,pin_status,devicetype from watermeter_info ".
				"where  mac_addr > 4294967296 and company_id = emac_".$companyalias.".GET_COMPANY_ID()";
		}
		else
		{
			$executesql = "select conv(mac_addr,10,16) as imei,conv(mac_addr,10,16) as mac_addr,ton,rssi,node_updatetime,if(battery > 10,battery,freq_tx) as batteryval,switch_status,pin_status,devicetype from watermeter_info ".
				"where  mac_addr > 4294967296 and company_id = emac_".$companyalias.".GET_COMPANY_ID()";
		}
		if ($operatecmd === "getdatabytime")
		{
			$executesql .= " and node_updatetime > '$startdatetime'";
		}
		else if ($operatecmd === "getdatabyaddr")
		{
			if (strlen($mac_addr) < 15)
				$executesql .= " and serialno = '$mac_addr'";
			else
				$executesql .= " and mac_addr = conv('$mac_addr',16,10)";
		}
		$executesql .= " limit ".$position.",".$counts;
		connectDB("emac");
		// get all products from products table
		$result = mysqli_query($con,$executesql) or die(mysqli_error());
		
		// check for empty result
		if (mysqli_num_rows($result) > 0) {
			// looping through all results
			// products node
			// success
			$response["success"] = 1;
			$response["counts"] = mysqli_num_rows($result);
			$response["message"] = array();
			$fieldnameary = explode(",",$retfieldnames);
			while ($row = mysqli_fetch_array($result)) {
				$info = array();
				foreach($fieldnameary as $a)
				{
					if ($row[$a] === NULL)
						$info[$a] = "";
					else
						$info[$a] = $row[$a];
				}
				array_push($response["message"], $info);
			}
		} else {
			// no products found
			$response["success"] = 0;
			$response["counts"] = 0;
			$response["message"] = "No data!";
		}
		close();
	}
	else
	{
		$response["success"] = -1;
		$response["counts"] = 0;
		$response["message"] = "loginname or password  error";
	}
}
else
{
	$response["success"] = -1; 
	$response["counts"] = 0;
	$response["message"] = "paramter error!";//$executesql.session_id();   
}
}
else
{
	$response["counts"] = 0;
	$response["success"] = -1;   
	//$executesql = "select id,auths from emac.my_users where loginname = '".$loginname."' and password = '".$password.
	//"' and company_id = emac_".$companyalias.".GET_COMPANY_ID()";
	$response["message"] = "checkkey error";  //$executesql;
	//$response["message"] = $companyalias.$operatecmd.$startdatetime;//$executesql.session_id(); 
}
// echoing JSON response
echo json_encode($response);
?>